/* (c) SPDsoft 18 agosto 1993 */

/*********************************************************/
/* Options */

#define	LSMAX	256		/* Max Lenght for strings */
#define	LRIMAX	32		/* Max Lenght for Ri Requests */

#define RibCR	0x0D
#define RibLF	0x0A

#define RibEOL	'\n'

#define	CopyChar(c)		((char)((c)==RibLF ? RibEOL : (c)))

/*********************************************************/
/* string #defines */

#define	S_UNCOD_m	0x0000		/* 0000 */
#define	S_UNCOD_M	0x007F		/* 0177 */

#define	S_SHORT_m	0x0090		/* 0220 */
#define	S_SHORT_M	0x009F		/* 0237 */

#define	S_LONG_m	0x00A0		/* 0240 */
#define	S_LONG_M	0x00A3		/* 0243 */

/*********************************************************/
/* code #defines */

#define	C_ASCII		0x007F		/* 0177 */
#define	C_Fixed		0x008F		/* 0217 */
#define	C_ShortStr	0x009F		/* 0237 */
#define	C_LongStr	0x00A3		/* 0243 */
#define	C_Float		0x00A4		/* 0244 */
#define	C_Double	0x00A5		/* 0245 */
#define	C_RiRequest	0x00A6		/* 0246 */
#define	C_Reserved	0x00C7		/* 0307 */
#define	C_Array		0x00CB		/* 0313 */
#define	C_DefReq	0x00CC		/* 0314 */
#define	C_DefStr	0x00CE		/* 0316 */
#define	C_String	0x00D0		/* 0320 */


/*********************************************************/
/* Internal #defines */

#define M_SHORT		0
#define M_LONG		1
#define M_UNCOD		2
#define M_UNKNOW	3

/*********************************************************/
/*********************************************************/
/* string type macros */

#define	IsUncodedStr(c)	(((c)>=S_UNCOD_m)&&((c)<=S_UNCOD_M))
#define	IsShortStr(c)	(((c)>=S_SHORT_m)&&((c)<=S_SHORT_M))
#define	IsLongStr(c)	(((c)>=S_LONG_m)&&((c)<=S_LONG_M))


